voyent
Migrating 1.8.2 to Icefaces 3.3  XML
Forum Index -> General Help
Author Message
sosarf


Joined: 19/Oct/2010 07:19:05
Messages: 18
Offline


Hi guys

I worked for 3 years in a group where I develop applications with Icefaces 1.8.2 deployed under oc4j 10.1.3n

But now it’s time to migrate and I need your help :-)

All our projects should be migrated to Icefaces 3.3 under Weblog 10.3.6
I was trying to migrate the simplest of our projects following this tutorial
http://www.icesoft.org/wiki/display/ICE/Converting+ICEfaces+1.8+Applications+to+ICEfaces+3

And after a lot of problems with compilation/starting finally was able to start the server with the application deployed in it.

But I have this problem, when I invoke the app via browser I obtain the following error:
“Cannot add the same component twice: v69v3y2-retrieve-update”

Google-ing a bit a discover it was a problem with ajax so I disabled it for the views or all views adding this snippet on my web.xml:

<context-param>
<param-name>org.icefaces.render.auto</param-name>
<param-value>false</param-value>
</context-param>


and I obtain the following message.
java.lang.UnsupportedOperationException: ICEfaces rendering required.

I tried creating a brand new project following this tutorial:

http://www.icesoft.org/wiki/display/ICE/Creating+ICEfaces+Applications+with+Eclipse

But the same error with this project, so when ajax is disabled I obtain “ICEfaces rendering required” and whenenabled “Cannot add the same component twice: g56rcgt-retrieve-update”
Any suggestions?
Thanks a lot
nils.lundquist

Joined: 31/Aug/2010 11:18:29
Messages: 198
Offline


I suspect you may still have old versions of JSF in the server. Try updating the JSF libs and ensuring there are no duplicates or JSF 1.2 jars remaining.
sosarf


Joined: 19/Oct/2010 07:19:05
Messages: 18
Offline


Thanks nils.lundquist a lot for your reply

I think you are right because on the stack trace I have:

javax.faces.FacesException: Cannot add the same component twice: v91zwi2-retrieve-update
at com.sun.faces.context.StateContext$AddRemoveListener.handleAddRemoveWithAutoPrune(StateContext.java:510)


and when I click on StateContext.java:510 in the Eclipse console I obtain “510 is not a valid line number in com.sun.faces.context.StateContext” , so surely it’s not taking the class from the library “JSF 2.1(Mojarra 2.1.19 for dynamic web 3.0 project)” as Eclipse points.

I tried to search in the folder modules of weblogic but there’s no a class like this in any of the jars.

Have you any idea where could I find this old library?

Thanks again
nils.lundquist

Joined: 31/Aug/2010 11:18:29
Messages: 198
Offline


I'm not familiar enough with Weblogic to say where it might store it's libraries.
ken.fyten

Joined: 26/Oct/2004 00:00:00
Messages: 1338
Offline


Hi,

ICEsoft Technical Support could also assist you with this issue as WebLogic support is provided under ICEfaces EE.

Regards,
Ken

Ken Fyten
VP Product Development
ICEsoft Technologies, Inc.
ssiddique

Joined: 17/Nov/2009 00:00:00
Messages: 3
Offline


Ok, I had a similar issue. after banging my head a bit, it turns out to be due to recent version of tomcat (7.0.42)

my ver of icefaces works on tomcat 7.0.41 but NOT on 7.0.42 (and i get the same error). Hope this helps someone else.
e2yeh

Joined: 27/Nov/2007 00:00:00
Messages: 1
Offline


Thank you ssiddique,

I got same issue on tomcat 7.0.42.
"javax.faces.FacesException: Cannot add the same component twice: ????-retrieve-update"

It run fine on Tomcat 7.0.41.

e2yeh
philip.breau


Joined: 08/May/2006 00:00:00
Messages: 2989
Offline


Please check http://www.icesoft.org/JForum/posts/list/0/22121.page#77984

.
 
Forum Index -> General Help
Go to:   
Powered by JForum 2.1.7ice © JForum Team